Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.FormatException

The is thrown by the Uri class constructor if the supplied URI could not be correctly parsed. The format for a valid URI is defined in RFC 2396.

The text of the property indicates the reason that the exception was thrown.

This exception is not included in the .NET for Windows Store apps or the Portable Class Library, but it is thrown by some members that are. To catch the exception in that case, write a catch statement for instead.

The exception that is thrown when an invalid Uniform Resource Identifier (URI) is detected.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default constructor initializes a new instance of the class with all fields set to null.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The UriFormatException constructor initializes the instance with the property set to the value of .

  Initializes a new instance of the class with the specified message.

  The error message string.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified and instances.

  A that contains the information that is required to serialize the new .
  A that contains the source of the serialized stream that is associated with the new .
- Constructor
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Populates a instance with the data that is needed to serialize the .

0